#
# spec file for liquidsoap
#
Summary: Liquidsoap is the audio stream generator of the Savonet project, notably used for generating the stream of netradios.
%define version 0.9.1
%define prefix /usr
%define name liquidsoap
%define libdir lib
%ifarch x86_64
%define libdir lib64
%endif
Name: %{name}
Prefix: %{prefix}
Patch0: liquidsoap-0.9.1-1.0-remove-soundtouch.patch
Patch1: liquidsoap-0.9.1-1.0-add-init-script.patch

Version: %{version}
Release: 1
License: GPL
Group: Applications/Sound
Source: %{name}-full-%{version}.tar.gz
URL: http://savonet.sourceforge.net/
Distribution: Fedora Core
Vendor: Savonet Team
Packager: Chris Everest <chris@vinylproject.com>
Buildroot: %{_tmppath}/%{name}-%{version}-root 
%description
Liquidsoap has tons of features, it's free and 
it's open-source! Liquidsoap lets you to describe 
your streams in a powerful and flexible way. 
Allowing arbitrarily deep-nested composition of streams,
it gives you more power than you need for creating
an original netradio. But liquidsoap is still very 
light and easy to use, in the Unix tradition of simple
strong components working together. 

Provides: liquidsoap liguidsoap utils.liq liquidtts
Requires: festival libshout libogg libtheora libvorbis speex libao jack-audio-connection-kit portaudio alsa-lib pulseaudio-lib libsamplerate taglib ladspa gavl libmad0 libmp3lame0 libfaac0 libfaad2

BuildRequires: ocaml-runtime ocaml ocaml-findlib ocaml-lablgl ocaml-lablgtk ocaml-labltk ocaml-ocamlnet-devel ocaml-pcre-devel ocaml-xml-light-devel libshout-devel libogg-devel libtheora-devel libvorbis-devel speex-devel libao-devel jack-audio-connection-kit-devel portaudio-devel alsa-lib-devel pulseaudio-lib-devel libsamplerate-devel taglib-devel ladspa-devel gavl-devel libmad-devel lame-devel faac-devel faad2-devel

BuildConflicts: ocaml-camomile-devel

%prep
%setup -n %{name}-full-%{version}
%patch0 -p1
%patch1 -p1

%build
./bootstrap
%configure --with-user=$(id -un) --with-group=$(id -gn)
make

%pre
if [ "$1" = 1 ]; then
   if [ -z $(id -un liquidsoap 2>/dev/null) ]; then
      # create user liquidsoap if it doesn't exist
      /usr/sbin/useradd -d /var/lib/liquidsoap -s /bin/false -r -mU liquidsoap
   fi
fi
exit 0

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall
mkdir $RPM_BUILD_ROOT%_sysconfdir/init.d
cp $RPM_BUILD_DIR/%{name}-full-%{version}/%{name}-%{version}/liquidsoap.fedora-init.dist $RPM_BUILD_ROOT%_sysconfdir/init.d/%{name}

%post
if [ "$1" = 1 ]; then
/sbin/chkconfig --add liquidsoap

fi
exit 0

%preun
if [ "$1" = 0 ]; then
/sbin/service liquidsoap stop > /dev/null 2>&1
/sbin/chkconfig --del liquidsoap
   if [ -n $(id -un liquidsoap 2>/dev/null) ]; then
      #delete user liquidsoap if it exists
      /usr/sbin/userdel liquidsoap
   fi
fi
exit 0

%postun
if [ "$1" -ge 1 ]; then
   /sbin/service liquidsoap condrestart > /dev/null 2>&1
fi
exit 0 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
/etc/init.d/liquidsoap
%defattr(-,root,root) 
/usr/bin/liquidsoap
/usr/bin/liguidsoap
/etc/liquidsoap/radio.liq.example
/etc/logrotate.d/liquidsoap
/usr/%libdir/liquidsoap
/usr/%libdir/python2.6/site-packages/liquidsoap
/usr/share/doc/%{name}-%{version}
/usr/share/man/man1/liquidsoap.1.gz
/usr/share/man/man1/liguidsoap.1.gz
%defattr(-,liquidsoap,liquidsoap)
%dir /var/log/liquidsoap
%dir /var/run/liquidsoap

%changelog
* Tue Jul 28 2009 Chris Everest <chris@vinylproject.com>
- Downloaded version 0.9.1, applied patches to remove soundtouch
- Added service init script
 
